Update capability

Update an existing product capability. Supports partial updates and schema refresh.

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
capabilityIdstringRequired

Request

This endpoint expects an object.
capabilityDescriptionstringOptional
capabilityNamestringOptional1-100 characters
enabledbooleanOptional
parametersSchemaanyOptional
refreshSchemabooleanOptional

Response

Capability updated
agentIdstring or null
capabilityDescriptionstring or null
capabilityNamestring
createdAtstring
displayOrderinteger or null
enabledboolean
flowIdstring or null
idstring
productIdstring
parametersSchemaany

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error